## libreoffice-online-5.3.0.3.tar.gz

=== loleaflet/Makefile ===
# Version number of loleaflet, no need to be in sync with the loolwsd
# one, but do please follow the same even/odd convention for the third
# ("micro") part: Between releases odd, even for releases (no other
# changes inbetween).

VERSION=5.3.0.3

# Version number of the bundled 'draw' thing
DRAW_VERSION=0.2.4

DEBUG=false
MINIFY=false

.PHONY: build
build:
	npm install
	jake lint
	jake build
	rm -rf dist/plugins/draw-$(DRAW_VERSION) && mkdir -p dist/plugins/draw-$(DRAW_VERSION)
	cd plugins/draw-$(DRAW_VERSION) && jake build && cp -ar dist ../../dist/plugins/draw-$(DRAW_VERSION)
	jake bundle[,$(DEBUG),$(MINIFY)]
	jake bundle[admin,$(DEBUG),$(MINIFY)]

.PHONY: build-l10n
build-l10n:
	mkdir -p dist/l10n/styles

	util/po2json.py --quiet po/*.po
	mv po/*.json dist/l10n/
	util/po2json.py --quiet po/styles/*.po
	mv po/styles/*.json dist/l10n/styles/

all: build build-l10n

.PHONY: dist
dist: MINIFY=true
dist: all
	rm -rf loleaflet-$(VERSION)
	mkdir loleaflet-$(VERSION)
	cp -ar dist loleaflet-$(VERSION)
	mkdir -p loleaflet-$(VERSION)/dist/node_modules/jquery-ui/themes/ui-lightness/images/
	cp -a node_modules/jquery-ui/themes/ui-lightness/images/ui-bg_highlight-soft_100_eeeeee_1x100.png loleaflet-$(VERSION)/dist/node_modules/jquery-ui/themes/ui-lightness/images/
	tar cfz loleaflet-$(VERSION).tar.gz loleaflet-$(VERSION)
	rm -rf loleaflet-$(VERSION)

pot:
	xgettext --from-code=UTF-8 --keyword=_ --output=po/templates/loleaflet-ui.pot \
		admin.strings.js \
		evol.colorpicker.strings.js \
		unocommands.js \
		dist/errormessages.js \
		dist/toolbar/toolbar.js \
		src/admin/AdminSocketBase.js \
		src/admin/AdminSocketOverview.js \
		src/admin/Util.js \
		src/control/Control.CharacterMap.js \
		src/control/Control.ColumnHeader.js \
		src/control/Control.DocumentRepair.js \
		src/control/Control.Menubar.js \
		src/control/Control.RowHeader.js \
		src/control/Control.Tabs.js \
		src/control/Toolbar.js \
		src/core/Socket.js \
		src/map/Map.js \
		src/map/handler/Map.FileInserter.js

	html2po --pot --input=dist/loleaflet-help.html --output=po/templates/loleaflet-help.pot

l10n: pot
	for i in po/ui-*.po; do pot2po --input=po/templates/loleaflet-ui.pot --template=$$i --output=$$i.new; mv $$i.new $$i;done
	for i in po/help-*.po; do pot2po --input=po/templates/loleaflet-help.pot --template=$$i --output=$$i.new; mv $$i.new $$i;done

spec/data/load-test:
	if [ ! -d spec/data/load_test ]; then \
		mkdir -p spec/data/load_test; \
		for i in $$(seq 1 125); \
		do \
			cp spec/data/eval.odt spec/data/load_test/eval$$i.odt; \
			cp spec/data/eval.odp spec/data/load_test/eval$$i.odp; \
			cp spec/data/eval.ods spec/data/load_test/eval$$i.ods; \
			cp spec/data/eval.odg spec/data/load_test/eval$$i.odg; \
		done; \
	fi

load-test: spec/data/load-test
	rm -rf load_test_out; \
	mkdir load_test_out; \
	for i in $$(seq 1 20); \
	do \
		node_modules/.bin/mocha spec/headlessLoadTest.js > load_test_out/$$i.out 2>&1 & \
	done;

=== debian/changelog ===
loolwsd (1.8.2-1) unstable; urgency=medium

  * Fix crash in Impress.

 -- Jan Holesovsky <kendy@collabora.com>  Thu, 11 Aug 2016 16:46:00 +0100

loolwsd (1.8.0-1) unstable; urgency=medium

  [ Tor Lillqvist ]
  * Back to packaging this for Debian.

  [ Jan Holesovsky ]
  * Update to match Collabora Office 5.1

 -- Jan Holesovsky <kendy@collabora.com>  Fri, 05 Aug 2016 16:51:54 +0100

loolwsd (1.0.0-1) unstable; urgency=low

  * Initial release

  * Local Variables:
  * Mode: fundamental
  * End:

 -- Tor Lillqvist <tml@collabora.com>  Fri, 15 May 2015 11:10:20 +0300

=== debian/control ===
Source: loolwsd
Section: web
Priority: optional
Maintainer: Tor Lillqvist <tml@collabora.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), libcap-dev, libcap2-bin, libpcre3-dev, libpng-dev, libpoco-dev (>= 1.7.5)
Standards-Version: 3.9.7

Package: loolwsd
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libsm6, libssl1.0.0, libodbc1, libxinerama1, libcairo2, libgl1-mesa-glx, libcups2, libdbus-glib-1-2, cpio, collaboraofficebasis5.1-base, collaboraofficebasis5.1-calc, collaboraofficebasis5.1-core, collaboraofficebasis5.1-draw, collaboraofficebasis5.1-extension-beanshell-script-provider, collaboraofficebasis5.1-extension-ct2n, collaboraofficebasis5.1-extension-javascript-script-provider, collaboraofficebasis5.1-extension-mediawiki-publisher, collaboraofficebasis5.1-extension-nlpsolver, collaboraofficebasis5.1-extension-numbertext, collaboraofficebasis5.1-extension-pdf-import, collaboraofficebasis5.1-extension-report-builder, collaboraofficebasis5.1-gnome-integration, collaboraofficebasis5.1-graphicfilter, collaboraofficebasis5.1-images, collaboraofficebasis5.1-impress, collaboraofficebasis5.1-librelogo, collaboraofficebasis5.1-math, collaboraofficebasis5.1-ogltrans, collaboraofficebasis5.1-ooofonts, collaboraofficebasis5.1-ooolinguistic, collaboraofficebasis5.1-postgresql-sdbc, collaboraofficebasis5.1-python-script-provider, collaboraofficebasis5.1-pyuno, collaboraofficebasis5.1-writer, collaboraofficebasis5.1-xsltfilter, collaboraoffice5.1, collaboraoffice5.1-base, collaboraoffice5.1-calc, collaboraoffice5.1-dict-en, collaboraoffice5.1-draw, collaboraoffice5.1-debian-menus, collaboraoffice5.1-impress, collaboraoffice5.1-math, collaboraoffice5.1-ure, collaboraoffice5.1-writer, collaboraofficebasis5.1-en-us, collaboraofficebasis5.1-en-us-base, collaboraofficebasis5.1-en-us-calc, collaboraofficebasis5.1-en-us-math, collaboraofficebasis5.1-en-us-res, collaboraofficebasis5.1-en-us-writer, collaboraoffice5.1-en-us
Description: LibreOffice On-Line WebSocket Daemon
 LOOLWSD is a daemon that talks to web browser clients and provides LibreOffice
 services.
